Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.cardcontact.opencard.service.acos
Class ACOSCardService

    java.lang.Object
      opencard.core.service.CardService
          de.cardcontact.opencard.service.isocard.IsoCardService
              de.cardcontact.opencard.service.acos.ACOSCardService

All Implemented Interfaces:
  CHVCardServiceWithControl, IsoFileSystemCardService, FileAccessCardService, FileSystemCardService, CHVCardService, SecureService, CardServiceInterface

    public class ACOSCardService

extends IsoCardService

Field Summary

Fields inherited from interface opencard.opt.iso.fs.FileAccessCardService
`READ_SEVERAL`

Constructor Summary
`ACOSCardService()`

Method Summary
`void` | `initialize(CardServiceScheduler scheduler, SmartCard smartcard, boolean blocking)` Overwrites #de.cardcontact.opencard.service.isocard.IsoCardService#initialize

Methods inherited from class de.cardcontact.opencard.service.isocard.IsoCardService
`appendRecord, closeApplication, create, create, delete, delete, exists, getFileInfo, getPasswordLength, getRoot, getSecureChannelCredential, invalidate, provideCredentials, read, readRecord, readRecords, rehabilitate, sendCommandAPDU, sendCommandAPDU, sendCommandAPDU, verifyPassword, verifyPassword, write, write, writeRecord`

Methods inherited from class opencard.core.service.CardService
`allocateCardChannel, getCard, getCardChannel, getCHVDialog, releaseCardChannel, setCardChannel, setCHVDialog`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface opencard.opt.service.CardServiceInterface
`getCard, setCHVDialog`

Constructor Detail

### ACOSCardService

    public ACOSCardService()

Method Detail

### initialize

    public void initialize(CardServiceScheduler scheduler,
                           SmartCard smartcard,
                           boolean blocking)
                    throws CardServiceException

  Overwrites #de.cardcontact.opencard.service.isocard.IsoCardService#initialize

  Overrides:
    `initialize` in class `IsoCardService`
  Parameters:
    `scheduler` - where this service is going to allocate channels
    `smartcard` - which smartcard has to be supported by this service
    `blocking` - whether channel allocation is going to be blocking
  Throws:
    `CardServiceException` - if the service could not be initialized. The object created via the default constructor may not be used if this happens.
  See Also:
    `CardServiceFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD